## List zone snippets `client.snippets.list(SnippetListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/zones/{zone_id}/snippets` Fetches all snippets belonging to the zone. ### Parameters - `params: SnippetListParams` - `zone_id: string` Path param: Use this field to specify the unique ID of the zone. - `page?: number` Query param: Specifies the current page number. - `per_page?: number` Query param: Specifies how many results to return per page. ### Returns - `SnippetListResponse` Define a snippet. - `created_on: string` Indicates when the snippet was created. - `snippet_name: string` Identify the snippet. - `modified_on?: string` Indicates when the snippet was last modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const snippetListResponse of client.snippets.list({ zone_id: '9f1839b6152d298aca64c4e906b6d074', })) { console.log(snippetListResponse.created_on); } ``` #### Response ```json { "errors": [ { "message": "something bad happened", "code": 10000 } ], "messages": [ { "message": "something bad happened", "code": 10000 } ], "result": [ { "created_on": "2000-01-01T00:00:00.000000Z", "snippet_name": "my_snippet", "modified_on": "2000-01-01T00:00:00.000000Z" } ], "success": true, "result_info": { "count": 25, "page": 1, "per_page": 25, "total_count": 100, "total_pages": 10 } } ```